---
name: Bug report
about: Something isn't working as expected
title: ''
labels: ''
assignees: ''

---

<!-- NOTE:

针对简体中文用户的提示：在提交 issue 时请不要删除下面的模板，按照步骤提供相关信息将有助于我们调查你的问题。请尽量使用英语描述你的问题，这可以让更多的人帮助到你。

A good bug report should have your configuration and build environment information, which are essential for us to investigate the problem. We've provided the following steps on how to attach the necessary information.

If you find that markdown files are not rendered as expected, please go to https://marked.js.org/demo/ to see if it can be reproduced there. If it can be reproduced, please file a bug to https://github.com/markedjs/marked.

If you want help on your bug, please also send us the git repository (GitHub, GitLab, Bitbucket etc...) where your hexo code is stored. It would greatly help. If you prefer not to have your hexo code out in public, please upload to a private GitHub repository and grant read-only access to hexojs/core.

Please take extra precaution not to attach any secret environment variables (likes password or GitHub Personal Access Token).

-->

## Check List

Please check followings before submitting a new issue.

- [ ] I have already read [Docs page](https://hexo.io/docs/) & [Troubleshooting page](https://hexo.io/docs/troubleshooting)
- [ ] I have already searched existing issues and they are not help  to me
- [ ] I examined error or warning messages and it's difficult to solve
- [ ] Using [the latest](https://github.com/hexojs/hexo/releases) version of Hexo (run `hexo version` to check)
- [ ] Node.js is higher than [minimum required version](https://hexo.io/docs/#Minimum-required-Node-js-version)

## Expected behavior

## Actual behavior

## How to reproduce?

* Step1
* Step2
* etc...

## Is the problem still there under "Safe mode"?

<!--
https://hexo.io/docs/commands#Safe-mode

"Safe mode" will disable all the plugins and scripts.
If your problem disappear under "Safe mode" means the problem is probably at your newly installed plugins, not at hexo.
-->

## Environment & Settings

**Node.js & npm version(`node -v && npm -v`)**

<!--
Please paste the output between two "```" provided below
-->

```
```

**Your site `_config.yml`** (Optional)

<!--
Please paste the content of your _config.yml between two "```" provided below
-->

```yaml
```

**Your theme `_config.yml`** (Optional)

```
```

**Hexo and Plugin version(`npm ls --depth 0`)**

<!--
Please paste the output between two "```" provided below
-->

```
```

**Your package.json `package.json`**

<!--
Please paste the content of package.json between two "```" provided below
-->

```
```

## Others

<!-- If you have other information. Please write here. -->
